Subject: AD evaluation: draft-ietf-6man-rfc1981bis-03

From: Suresh Krishnan <[email-masked]>
Date: Thu, 26 Jan 2017 03:59:27 +0000

Hi all,
  I have gone through draft-ietf-6man-rfc1981bis-03 and I found it to be in good shape to progress. I just saw two minor issues that need to be addressed

* Section 1

I don’t think that his text that is copied over from RFC4821 is helpful. I think the earlier part of the paragraph is well written, useful and conveys exactly the right amount of context.

“          In this algorithm, the	
 	   proper MTU is determined by starting with small packets and probing	
 	   with successively larger packets.  The bulk of the algorithm is	
 	   implemented above IP, in the transport layer (e.g., TCP) or other	
 	   "Packetization Protocol" that is responsible for determining packet	
 	   boundaries."

* Section 3

I am not sure why the following text is required. What are these nodes? I thought we discussed this and decided to not put in such text.

"(regardless of whether it decrements the Hop Limit)"

I would suggest removing the text or adding an example of such a node.

Thanks
Suresh

P.S.: I agree with Donald’s comment in his INT Dir review that the “security classifications” paragraph seems dated but I would prefer for it to be removed rather than rewritten.

---

From: Bob Hinden <[email-masked]>
Date: Thu, 26 Jan 2017 12:33:14 -0800

Suresh,

Thanks for your evaluation.

> On Jan 25, 2017, at 7:59 PM, Suresh Krishnan <[email-masked]> wrote:
> 
> Hi all,
> 	   boundaries.”

I tend to agree and am happy to remove it.  I will note that there as a lot of debate on what this paragraph should say.  Unless someone objects, I will plan to remove it from the next version.

> I would suggest removing the text or adding an example of such a node.

I went back and read the email thread:

https://mailarchive.ietf.org/arch/search/?qdr=a&email_list=ipv6&q=text%3A(regardless+of+whether+it+decrements+the+Hop+Limit)&as=1&so=date

The discussion does go back and forth, but ends with Ole closing the issue in the tracker:

   #13: Regardless of whether it decrements the Hop Limit

   Changes (by [email-masked]):

     * status:  new => closed
     * resolution:   => wontfix

I interpert it to leave it in.  I don’t have a strong view on this, happy to remove it.  Any objections?

> P.S.: I agree with Donald’s comment in his INT Dir review that the “security classifications” paragraph seems dated but I would prefer for it to be removed rather than rewritten.

OK, I will remove it.

Thanks,
Bob

---

From: Suresh Krishnan <[email-masked]>
Date: Thu, 26 Jan 2017 22:21:01 +0000

Hi Bob,
  Removing things we agreed on. One thought inline.

On Jan 26, 2017, at 3:33 PM, Bob Hinden <[email-masked]<mailto:[email-masked]>> wrote:
...

* Section 3

https://mailarchive.ietf.org/arch/search/?qdr=a&email_list=ipv6&q=text%3A(regardless+of+whether+it+decrements+the+Hop+Limit)&as=1&so=date<https://mailarchive.ietf.org/arch/search/?qdr=a&email_list=ipv6&q=text:(regardless+of+whether+it+decrements+the+Hop+Limit)&as=1&so=date>

  Changes (by [email-masked]<mailto:[email-masked]>):

    * status:  new => closed
    * resolution:   => wontfix

Not from me. But my read of the thread was that Ole was also questioning the value of the text. If the only case this covers is an ND proxy, I think the case is adequately handled by Section 4.1.1. of RFC4389.

Thanks
Suresh

---

From: Bob Hinden <[email-masked]>
Date: Thu, 26 Jan 2017 14:32:15 -0800

Suresh,

> On Jan 26, 2017, at 2:21 PM, Suresh Krishnan <[email-masked]> wrote:
> 
> Hi Bob,
>> On Jan 26, 2017, at 3:33 PM, Bob Hinden <[email-masked]> wrote:
>> ...
>> 
>>> * Section 3
>>> 

OK, I will remove it.

Bob